.search-bar-container {
  position: relative;
}

.search-bar {
  position: relative;
  cursor: pointer;
  width: 100%;
}

.search-bar input {
  width: 100%;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 10px;
}

.popup-overlay {
  position: fixed;
  top: 0px;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); /* semi-transparent background */
  z-index: 999; /* ensure it overlays everything */
  display: none;
  justify-content: center;
  align-items: center;
}

.popup-heading {
  border-bottom: 1px solid #444;
  padding: 15px 0;
}
/* Popup Container */
.popup {
  background-color: #303030;
  padding: 20px;
  box-shadow: 10px 10px 20px rgba(0, 0, 0, 0.4);
  width: 33%;
  height: 75%;
  color: #fff;
  overflow-y: auto;
}
.custom-checkbox:checked + label {
  color: red;
}
.popup label {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
  border-bottom: 1px solid #444;
  padding-bottom: 10px;
  text-transform: uppercase;
  cursor: pointer;
}
/* Checkbox Styling */
.custom-checkbox {
  position: absolute;
  opacity: 0;
  pointer-events: none;
}

/* Custom Checkmark Design */

.checkmark {
  position: relative;
  display: inline-block;
  width: 20px;
  height: 20px;
  /* border: 2px solid #ccc; */
  border-radius: 4px;
  margin-right: 10px;
  /* display: none; */
  width: 100%;
}
.popup{
  background-color: #fff !important;
}
.popup-heading{
  color: #000 !important;
}
.checkmark{
  color: #000 !important;
}
input[type="text"] {
  width: 100%;
  padding: 10px 15px;
  font-size: 12px;
  border-radius: 20px;
  border: none;
  outline: none;
  /* padding-left: 15px; */
  box-shadow: 1px 4px 10px rgba(0, 0, 0, 0.3);
}
.custom-checkbox:checked + .checkmark::after {
content: "";
position: absolute;
top: 3px;
right: 0;
width: 6px;
height: 12px;
border: solid black;
border-width: 0 2px 2px 0;
transform: rotate(45deg);
}

/* Checked Checkmark Style */


.search-bar-container {
  margin-bottom: 20px;
}

.custom-checkbox:checked + .checkmark {
  color: red;
  display: flex;
  justify-content: space-between;
  width: 100%;
}
.search-bar5 {
  width: 100%;
  padding: 10px;
  border-bottom: 1px solid #ccc;
  outline: none;
  font-size: 14px;
}

#not-found-message {
  color: red;
  font-weight: bold;
}

@media (max-width: 700px) {
  .popup {
    width: 80%;
  }
}
@media (max-width: 425px) {
  .popup{
    background-color: #fff !important;
  }
  .popup-heading{
    color: #000 !important;
  }
  .checkmark{
    color: #000 !important;
    font-size: 14px;
  }
  input[type="text"] {
    width: 100%;
    padding: 10px 15px;
    font-size: 12px;
    border-radius: 20px;
    border: none;
    outline: none;
    /* padding-left: 15px; */
    box-shadow: 1px 4px 10px rgba(0, 0, 0, 0.3);
}
.custom-checkbox:checked + .checkmark::after {
  content: "";
  position: absolute;
  top: 3px;
  right: 0;
  width: 6px;
  height: 12px;
  border: solid black;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
}
}
